@import '../../../styles/variables';

.nav {
  display: flex;
  flex-direction: column;

  &--large {
    font-size: $font-xxl;
    svg {
      width: $spacing-l;
    }
  }

  &--small {
    max-width: max-content;
    svg {
      width: $spacing-base;
    }
  }

  &__list {
    display: flex;
    flex-direction: column;
    font-family: $font-heading;
    background-color: $black;
    &:hover > li:not(:hover) {
      opacity: 0.4;
    }

    li {
      .nav--border & {
        text-align: right;
        border-bottom: 1px solid $grey-lightest;
      }

      &:hover {
        a {
          opacity: 1;
        }
      }
    }

    a,
    svg {
      color: $white;
    }
  }

  &__icon {
    margin-right: $spacing-s;
  }
}
